import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { MsMonitorMetricsTemplate } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-06-01 16:26
 */
interface MsMonitorMetricsTemplateCU extends ConditionUtil<MsMonitorMetricsTemplateCU> {
    ID: FieldUtil<MsMonitorMetricsTemplateCU>;
    CREATE_TIME: FieldUtil<MsMonitorMetricsTemplateCU>;
    UPDATE_TIME: FieldUtil<MsMonitorMetricsTemplateCU>;
    STATE: FieldUtil<MsMonitorMetricsTemplateCU>;
    CODE: FieldUtil<MsMonitorMetricsTemplateCU>;
    NAME: FieldUtil<MsMonitorMetricsTemplateCU>;
    REMARK: FieldUtil<MsMonitorMetricsTemplateCU>;
}
declare class MsMonitorMetricsTemplateMU extends TableUtilImpl<MsMonitorMetricsTemplateCU, MsMonitorMetricsTemplate> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): MsMonitorMetricsTemplateCU;
    static get ID(): FieldUtil<MsMonitorMetricsTemplateCU>;
    static get CREATE_TIME(): FieldUtil<MsMonitorMetricsTemplateCU>;
    static get UPDATE_TIME(): FieldUtil<MsMonitorMetricsTemplateCU>;
    static get STATE(): FieldUtil<MsMonitorMetricsTemplateCU>;
    static get CODE(): FieldUtil<MsMonitorMetricsTemplateCU>;
    static get NAME(): FieldUtil<MsMonitorMetricsTemplateCU>;
    static get REMARK(): FieldUtil<MsMonitorMetricsTemplateCU>;
    get ID(): FieldUtil<MsMonitorMetricsTemplateCU>;
    get CREATE_TIME(): FieldUtil<MsMonitorMetricsTemplateCU>;
    get UPDATE_TIME(): FieldUtil<MsMonitorMetricsTemplateCU>;
    get STATE(): FieldUtil<MsMonitorMetricsTemplateCU>;
    get CODE(): FieldUtil<MsMonitorMetricsTemplateCU>;
    get NAME(): FieldUtil<MsMonitorMetricsTemplateCU>;
    get REMARK(): FieldUtil<MsMonitorMetricsTemplateCU>;
}
export { MsMonitorMetricsTemplateMU, MsMonitorMetricsTemplateCU };
